Subject: bug#13152: 24.2.90; [REGRESSION] dired-get-marked-files changed

From: Juri Linkov <[email-masked]>
Date: Fri, 14 Dec 2012 02:46:43 +0200

>> Regarding changing the current buffer in `dired-mark-pop-up'
>> where an expression is evaluated, I have doubts because
>> it might broke code that relies on the fact that the
>> selected window and the current buffer should be " *Marked Files*"
>> as it was in all older versions.
>
> Note in previous versions dired-mark-pop-up throws an error in that
> buffer so I am pretty sure no code will expect COMMAND to be eval'd in
> " *Marked Files*".

The doubt raises the fact that evaluating the expression after
selecting " *Marked Files*" was intentionally coded this way
in `dired-mark-pop-up':

	       (with-selected-window window
		 (unwind-protect
		     (apply function args)
		   (when (window-live-p window)
		     (quit-restore-window window 'kill))))

I guess the reason was to allow quit-restore-window to kill the
" *Marked Files*" buffer after the minibuffer (that reads a command)
is displayed and exited in `(apply function args)'.